Skip to content

API Reference

Get Player Summaries

Endpoint: GET /ISteamUser/GetPlayerSummaries/v0002

Tag: Legacy Drop-in

Returns basic profile information for a list of 64-bit Steam IDs. The following return fields are not supported: lastlogoff, primaryclanid, personastateflags.

Get Player Bans

Endpoint: GET /ISteamUser/GetPlayerBans/v1

Tag: Legacy Drop-in

Returns ban status for a list of 64-bit Steam IDs. All standard Steam return fields are supported.

Get Owned Games

Endpoint: GET /IPlayerService/GetOwnedGames/v0001

Tag: Legacy Drop-in

Get list of games owned by a player, including playtime. Note: include_played_free_games is not supported and free games are always included if they have playtime data. The following return fields are not supported: has_community_visible_stats.

Get Player

Endpoint: GET /api/v1/players/{steamId64}

Tag: Modern API

Returns detailed player data including current profile values and checks.

Get Player Games

Endpoint: GET /api/v1/players/{steamId64}/games

Tag: Modern API

Returns player's games and playtime with optional pagination.

Get Player Friends

Endpoint: GET /api/v1/players/{steamId64}/friends

Tag: Modern API

Returns player's friend list with optional pagination.

Get Player Bans

Endpoint: GET /api/v1/players/{steamId64}/bans

Tag: Modern API

Returns player's ban status and history with optional pagination.

Get Player Groups

Endpoint: GET /api/v1/players/{steamId64}/groups

Tag: Modern API

Returns player's group memberships and history with optional pagination.

Get Player History

Endpoint: GET /api/v1/players/{steamId64}/history

Tag: Modern API

Returns player's profile data tracking history with optional pagination.

Get Group

Endpoint: GET /api/v1/groups/{groupId64}

Tag: Modern API

Returns detailed group data including member count and metadata.

Get Group Members

Endpoint: GET /api/v1/groups/{groupId64}/members

Tag: Modern API

Returns group member list and membership history with optional pagination.

Get Group History

Endpoint: GET /api/v1/groups/{groupId64}/history

Tag: Modern API

Returns group metadata tracking history with optional pagination.

Compare Players

Endpoint: GET /api/v1/compare

Tag: Modern API

Compares multiple players (min 2, max 5) and finds mutual friends, groups, names, and games. #### Token Cost 2 tokens per compared profile. If an update is requested (`maxAgeSeconds`), an additional cost of 4 tokens per profile per triggered check type applies. Updates are context-aware: only checks relevant to the requested sections will be triggered and billed. Check types include: profile (always), friends (if requested), and games (if requested). > [!important] > Comparing 2 players with all updates triggered costs 28 tokens (4 base + 24 update penalty).

Get Legacy XML Profile by SteamID

Endpoint: GET /profiles/{id}

Tag: Legacy Drop-in

Returns profile data in XML format.

Get Legacy XML Profile by Custom URL

Endpoint: GET /id/{customUrl}

Tag: Legacy Drop-in

Returns profile data in XML format.
v1.0.0
OAS 3.0.0

SteamID.com API

Steam Web API and XML API drop-in replacement

Server:https://steamidapi.com

API Server

No authentication selected
Client Libraries

Modern API

Get Player

Token Usage
1 token(+4 if update triggered)

Returns detailed player data including current profile values and checks.

Path Parameters
  • steamId64
    Type: string
    max length:  
    100
    required
Query Parameters
  • maxWaitSeconds
    Type: number
    min:  
    0
    max:  
    60

    Maximum time to wait for an update to complete before returning cached data. Note: If an update is triggered (via maxAgeSeconds), a maxWaitSeconds of less than 5 seconds will always be billed even if the update does not complete in time.

  • maxAgeSeconds
    Type: number
    min:  
    0
    max:  
    2147483647

    Maximum age of the data in seconds. If the data is older, an update will be requested. Must be greater than or equal to your subscription's minimum update interval. Updates are billed an additional token cost; however, if the update does not complete within maxWaitSeconds and you provided at least 5 seconds of wait time, the request cost is reduced to 0.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • 404

    Player not found

Request Example for get/api/v1/players/{steamId64}
curl 'https://steamidapi.com/api/v1/players/76561197960435530?maxWaitSeconds=30&maxAgeSeconds=null' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "steamID": {
    "steamID64": "76561197960435530",
    "steamID3": "[U:1:11]",
    "steamID": "STEAM_0:1:5",
    "accountID": 11
  },
  "data": {
    "personaName": "Robin",
    "profileUrl": "https://steamcommunity.com/id/robin/",
    "avatar": {
      "small": "https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb.jpg",
      "medium": "https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb_medium.jpg",
      "full": "https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb_full.jpg"
    },
    "privacyState": "public",
    "onlineState": "offline",
    "isLimitedAccount": false,
    "bans": {
      "communityBanned": false,
      "vacBanned": false,
      "numberOfVACBans": 0,
      "numberOfGameBans": 0,
      "economyBan": "none"
    },
    "friends": {
      "current": 150,
      "allTime": 200
    },
    "groups": {
      "current": 10,
      "allTime": 12
    },
    "playtime": {
      "forever": 500000,
      "twoWeeks": 1200
    },
    "personaNameCount": 5,
    "lastChecks": {
      "profile": "2026-04-15T12:00:00.000Z",
      "bans": "2026-04-15T12:00:00.000Z",
      "friends": "2026-04-15T12:00:00.000Z",
      "games": "2026-04-15T12:00:00.000Z"
    }
  },
  "links": {
    "self": "/api/v1/players/76561197960435530",
    "steamCommunity": "https://steamcommunity.com/profiles/76561197960435530",
    "steamId": "https://www.steamid.com/profiles/76561197960435530"
  }
}

Get Player Games

Token Usage
1 token(+4 if update triggered)

Returns player's games and playtime with optional pagination.

Path Parameters
  • steamId64
    Type: string
    max length:  
    100
    required
Query Parameters
  • cursor
    Type: string

    Opaque cursor for pagination

  • limit
    Type: integer
    greater than:  
    0
    max:  
    1000

    Limit the number of records returned

  • appids
    Type: string

    Filter by AppIDs (comma-separated)

  • from
    Type: stringFormat: date-time

    Filter from this timestamp (inclusive)

  • to
    Type: stringFormat: date-time

    Filter to this timestamp (inclusive)

  • includeHistory
    Type: boolean | null

    Include all historical snapshots instead of just the latest

  • maxWaitSeconds
    Type: number
    min:  
    0
    max:  
    60

    Maximum time to wait for an update to complete before returning cached data. Note: If an update is triggered (via maxAgeSeconds), a maxWaitSeconds of less than 5 seconds will always be billed even if the update does not complete in time.

  • maxAgeSeconds
    Type: number
    min:  
    0
    max:  
    2147483647

    Maximum age of the data in seconds. If the data is older, an update will be requested. Must be greater than or equal to your subscription's minimum update interval. Updates are billed an additional token cost; however, if the update does not complete within maxWaitSeconds and you provided at least 5 seconds of wait time, the request cost is reduced to 0.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • 404

    Player not found

Request Example for get/api/v1/players/{steamId64}/games
curl 'https://steamidapi.com/api/v1/players/76561197960435530/games?cursor=&limit=100&appids=&from=&to=&includeHistory=true&maxWaitSeconds=30&maxAgeSeconds=null' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "steamID": {
    "steamID64": "76561197960435530",
    "steamID3": "[U:1:11]",
    "steamID": "STEAM_0:1:5",
    "accountID": 11
  },
  "data": [
    {
      "appid": 1,
      "timestamp": "2026-05-07T19:07:22.275Z",
      "playtimeForever": 1,
      "playtimeTwoWeeks": 1
    }
  ],
  "links": {
    "self": "/api/v1/players/76561197960435530",
    "steamCommunity": "https://steamcommunity.com/profiles/76561197960435530",
    "steamId": "https://www.steamid.com/profiles/76561197960435530"
  },
  "pagination": {
    "limit": 100,
    "cursor": null,
    "nextCursor": "eyJpZCI6NDV9",
    "nextPage": "/api/v1/players/76561197960435530/friends?cursor=eyJpZCI6NDV9&limit=100"
  }
}

Get Player Friends

Token Usage
1 token(+4 if update triggered)

Returns player's friend list with optional pagination.

Path Parameters
  • steamId64
    Type: string
    max length:  
    100
    required
Query Parameters
  • cursor
    Type: string

    Opaque cursor for pagination

  • limit
    Type: integer
    greater than:  
    0
    max:  
    1000

    Limit the number of records returned

  • includeHistory
    Type: boolean | null

    Include historical friends

  • maxWaitSeconds
    Type: number
    min:  
    0
    max:  
    60

    Maximum time to wait for an update to complete before returning cached data. Note: If an update is triggered (via maxAgeSeconds), a maxWaitSeconds of less than 5 seconds will always be billed even if the update does not complete in time.

  • maxAgeSeconds
    Type: number
    min:  
    0
    max:  
    2147483647

    Maximum age of the data in seconds. If the data is older, an update will be requested. Must be greater than or equal to your subscription's minimum update interval. Updates are billed an additional token cost; however, if the update does not complete within maxWaitSeconds and you provided at least 5 seconds of wait time, the request cost is reduced to 0.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • 404

    Player not found

Request Example for get/api/v1/players/{steamId64}/friends
curl 'https://steamidapi.com/api/v1/players/76561197960435530/friends?cursor=&limit=100&includeHistory=true&maxWaitSeconds=30&maxAgeSeconds=null' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "steamID": {
    "steamID64": "76561197960435530",
    "steamID3": "[U:1:11]",
    "steamID": "STEAM_0:1:5",
    "accountID": 11
  },
  "data": [
    {
      "steamID": {
        "steamID64": "76561197960435530",
        "steamID3": "[U:1:11]",
        "steamID": "STEAM_0:1:5",
        "accountID": 11
      },
      "addedAt": null,
      "removedAt": null,
      "personaName": null,
      "avatar": {
        "small": "string",
        "medium": "string",
        "full": "string"
      },
      "isLimitedAccount": null,
      "profileSetup": null,
      "memberSince": {
        "timestamp": "2003-09-12T23:53:09.000Z",
        "isAproximate": false
      },
      "bans": {
        "communityBanned": true,
        "vacBanned": true,
        "numberOfVACBans": 1,
        "numberOfGameBans": 1,
        "economyBan": "string",
        "lastBanDaysAgo": 1
      }
    }
  ],
  "links": {
    "self": "/api/v1/players/76561197960435530",
    "steamCommunity": "https://steamcommunity.com/profiles/76561197960435530",
    "steamId": "https://www.steamid.com/profiles/76561197960435530"
  },
  "pagination": {
    "limit": 100,
    "cursor": null,
    "nextCursor": "eyJpZCI6NDV9",
    "nextPage": "/api/v1/players/76561197960435530/friends?cursor=eyJpZCI6NDV9&limit=100"
  }
}

Get Player Bans

Token Usage
1 token(+4 if update triggered)

Returns player's ban status and history with optional pagination.

Path Parameters
  • steamId64
    Type: string
    max length:  
    100
    required
Query Parameters
  • cursor
    Type: string

    Opaque cursor for pagination

  • limit
    Type: integer
    greater than:  
    0
    max:  
    1000

    Limit the number of records returned

  • includeHistory
    Type: boolean | null

    Include all historical snapshots instead of just the latest

  • from
    Type: stringFormat: date-time

    Filter from this timestamp (inclusive)

  • to
    Type: stringFormat: date-time

    Filter to this timestamp (inclusive)

  • maxWaitSeconds
    Type: number
    min:  
    0
    max:  
    60

    Maximum time to wait for an update to complete before returning cached data. Note: If an update is triggered (via maxAgeSeconds), a maxWaitSeconds of less than 5 seconds will always be billed even if the update does not complete in time.

  • maxAgeSeconds
    Type: number
    min:  
    0
    max:  
    2147483647

    Maximum age of the data in seconds. If the data is older, an update will be requested. Must be greater than or equal to your subscription's minimum update interval. Updates are billed an additional token cost; however, if the update does not complete within maxWaitSeconds and you provided at least 5 seconds of wait time, the request cost is reduced to 0.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • 404

    Player not found

Request Example for get/api/v1/players/{steamId64}/bans
curl 'https://steamidapi.com/api/v1/players/76561197960435530/bans?cursor=&limit=100&includeHistory=true&from=&to=&maxWaitSeconds=30&maxAgeSeconds=null' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "steamID": {
    "steamID64": "76561197960435530",
    "steamID3": "[U:1:11]",
    "steamID": "STEAM_0:1:5",
    "accountID": 11
  },
  "data": [
    {
      "timestamp": "2026-05-07T19:07:22.275Z",
      "communityBanned": true,
      "vacBanned": true,
      "numberOfVACBans": 1,
      "numberOfGameBans": 1,
      "economyBan": "string",
      "lastBanDaysAgo": 1
    }
  ],
  "links": {
    "self": "/api/v1/players/76561197960435530",
    "steamCommunity": "https://steamcommunity.com/profiles/76561197960435530",
    "steamId": "https://www.steamid.com/profiles/76561197960435530"
  },
  "pagination": {
    "limit": 100,
    "cursor": null,
    "nextCursor": "eyJpZCI6NDV9",
    "nextPage": "/api/v1/players/76561197960435530/friends?cursor=eyJpZCI6NDV9&limit=100"
  }
}

Get Player Groups

Token Usage
1 token(+4 if update triggered)

Returns player's group memberships and history with optional pagination.

Path Parameters
  • steamId64
    Type: string
    max length:  
    100
    required
Query Parameters
  • cursor
    Type: string

    Opaque cursor for pagination

  • limit
    Type: integer
    greater than:  
    0
    max:  
    1000

    Limit the number of records returned

  • includeHistory
    Type: boolean | null

    Include historical group memberships

  • maxWaitSeconds
    Type: number
    min:  
    0
    max:  
    60

    Maximum time to wait for an update to complete before returning cached data. Note: If an update is triggered (via maxAgeSeconds), a maxWaitSeconds of less than 5 seconds will always be billed even if the update does not complete in time.

  • maxAgeSeconds
    Type: number
    min:  
    0
    max:  
    2147483647

    Maximum age of the data in seconds. If the data is older, an update will be requested. Must be greater than or equal to your subscription's minimum update interval. Updates are billed an additional token cost; however, if the update does not complete within maxWaitSeconds and you provided at least 5 seconds of wait time, the request cost is reduced to 0.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • 404

    Player not found

Request Example for get/api/v1/players/{steamId64}/groups
curl 'https://steamidapi.com/api/v1/players/76561197960435530/groups?cursor=&limit=100&includeHistory=true&maxWaitSeconds=30&maxAgeSeconds=null' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "steamID": {
    "steamID64": "76561197960435530",
    "steamID3": "[U:1:11]",
    "steamID": "STEAM_0:1:5",
    "accountID": 11
  },
  "data": [
    {
      "groupId64": "103582791429521412",
      "name": "Valve",
      "url": "Valve",
      "headline": "Valve",
      "summary": "Valve is an entertainment software and technology company.",
      "avatar": {
        "small": "https://avatars.steamstatic.com/f7743feba79703f7e52b2f63f533a1e12733973d.jpg",
        "medium": "https://avatars.steamstatic.com/f7743feba79703f7e52b2f63f533a1e12733973d_medium.jpg",
        "full": "https://avatars.steamstatic.com/f7743feba79703f7e52b2f63f533a1e12733973d_full.jpg"
      },
      "joinedAt": "2020-01-01T00:00:00.000Z",
      "leftAt": null,
      "links": {
        "api": "/api/v1/groups/103582791429521412",
        "steamCommunity": "https://steamcommunity.com/groups/Valve"
      }
    }
  ],
  "links": {
    "self": "/api/v1/players/76561197960435530",
    "steamCommunity": "https://steamcommunity.com/profiles/76561197960435530",
    "steamId": "https://www.steamid.com/profiles/76561197960435530"
  },
  "pagination": {
    "limit": 100,
    "cursor": null,
    "nextCursor": "eyJpZCI6NDV9",
    "nextPage": "/api/v1/players/76561197960435530/friends?cursor=eyJpZCI6NDV9&limit=100"
  }
}

Get Player History

Token Usage
1 token(+4 if update triggered)

Returns player's profile data tracking history with optional pagination.

Path Parameters
  • steamId64
    Type: string
    max length:  
    100
    required
Query Parameters
  • cursor
    Type: string

    Opaque cursor for pagination

  • limit
    Type: integer
    greater than:  
    0
    max:  
    1000

    Limit the number of records returned

  • keys
    Type: string

    Filter by profile value keys (comma-separated). Valid keys: personaName, profileUrl, avatar, privacyState, onlineState, isLimitedAccount, headline, inGameServerIP, location, realName, summary, stateMessage, steamRating, profileSetup

  • from
    Type: stringFormat: date-time

    Filter history from this timestamp (inclusive)

  • to
    Type: stringFormat: date-time

    Filter to this timestamp (inclusive)

  • maxWaitSeconds
    Type: number
    min:  
    0
    max:  
    60

    Maximum time to wait for an update to complete before returning cached data. Note: If an update is triggered (via maxAgeSeconds), a maxWaitSeconds of less than 5 seconds will always be billed even if the update does not complete in time.

  • maxAgeSeconds
    Type: number
    min:  
    0
    max:  
    2147483647

    Maximum age of the data in seconds. If the data is older, an update will be requested. Must be greater than or equal to your subscription's minimum update interval. Updates are billed an additional token cost; however, if the update does not complete within maxWaitSeconds and you provided at least 5 seconds of wait time, the request cost is reduced to 0.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • 404

    Player not found

Request Example for get/api/v1/players/{steamId64}/history
curl 'https://steamidapi.com/api/v1/players/76561197960435530/history?cursor=&limit=100&keys=personaName%2Cavatar&from=&to=&maxWaitSeconds=30&maxAgeSeconds=null' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "steamID": {
    "steamID64": "76561197960435530",
    "steamID3": "[U:1:11]",
    "steamID": "STEAM_0:1:5",
    "accountID": 11
  },
  "data": [
    {
      "timestamp": "2026-05-07T19:07:22.275Z",
      "key": "personaName",
      "value": "string"
    }
  ],
  "links": {
    "self": "/api/v1/players/76561197960435530",
    "steamCommunity": "https://steamcommunity.com/profiles/76561197960435530",
    "steamId": "https://www.steamid.com/profiles/76561197960435530"
  },
  "pagination": {
    "limit": 100,
    "cursor": null,
    "nextCursor": "eyJpZCI6NDV9",
    "nextPage": "/api/v1/players/76561197960435530/friends?cursor=eyJpZCI6NDV9&limit=100"
  }
}

Get Group

Token Usage
1 token

Returns detailed group data including member count and metadata.

Path Parameters
  • groupId64
    Type: string
    max length:  
    100
    required
Responses
  • application/json
  • 404

    Group not found

Request Example for get/api/v1/groups/{groupId64}
curl https://steamidapi.com/api/v1/groups/103582791429521412 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "groupId64": "103582791429521412",
  "data": {
    "groupId64": "103582791429521412",
    "gid": 2,
    "name": "Valve",
    "url": "Valve",
    "headline": "Valve",
    "summary": "Valve is an entertainment software and technology company.",
    "avatar": {
      "small": "https://avatars.steamstatic.com/f7743feba79703f7e52b2f63f533a1e12733973d.jpg",
      "medium": "https://avatars.steamstatic.com/f7743feba79703f7e52b2f63f533a1e12733973d_medium.jpg",
      "full": "https://avatars.steamstatic.com/f7743feba79703f7e52b2f63f533a1e12733973d_full.jpg"
    },
    "owner": null,
    "officers": [],
    "moderators": [],
    "members": {
      "current": 1200000,
      "allTime": 1500000
    },
    "nameHistoryCount": 1
  },
  "links": {
    "self": "/api/v1/groups/103582791429521412",
    "steamCommunity": "https://steamcommunity.com/groups/Valve"
  }
}

Get Group Members

Token Usage
1 token

Returns group member list and membership history with optional pagination.

Path Parameters
  • groupId64
    Type: string
    max length:  
    100
    required
Query Parameters
  • cursor
    Type: string

    Opaque cursor for pagination

  • limit
    Type: integer
    greater than:  
    0
    max:  
    1000

    Limit the number of records returned

  • includeHistory
    Type: boolean | null

    Include historical group members

Responses
  • application/json
  • 404

    Group not found

Request Example for get/api/v1/groups/{groupId64}/members
curl 'https://steamidapi.com/api/v1/groups/103582791429521412/members?cursor=&limit=100&includeHistory=true' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "groupId64": "string",
  "data": [
    {
      "steamID": {
        "steamID64": "76561197960435530",
        "steamID3": "[U:1:11]",
        "steamID": "STEAM_0:1:5",
        "accountID": 11
      },
      "joinedAt": null,
      "leftAt": null,
      "personaName": null,
      "avatar": {
        "small": "string",
        "medium": "string",
        "full": "string"
      }
    }
  ],
  "links": {
    "self": "string",
    "steamCommunity": "string",
    "group": "string"
  },
  "pagination": {
    "limit": 100,
    "cursor": null,
    "nextCursor": "eyJpZCI6NDV9",
    "nextPage": "/api/v1/players/76561197960435530/friends?cursor=eyJpZCI6NDV9&limit=100"
  }
}

Get Group History

Token Usage
1 token

Returns group metadata tracking history with optional pagination.

Path Parameters
  • groupId64
    Type: string
    max length:  
    100
    required
Query Parameters
  • cursor
    Type: string

    Opaque cursor for pagination

  • limit
    Type: integer
    greater than:  
    0
    max:  
    1000

    Limit the number of records returned

  • keys
    Type: string

    Filter by group value keys (comma-separated). Valid keys: group_name, group_url, headline, summary, avatar, owner, officers, moderators

  • from
    Type: stringFormat: date-time

    Filter history from this timestamp (inclusive)

  • to
    Type: stringFormat: date-time

    Filter history to this timestamp (inclusive)

Responses
  • application/json
  • 404

    Group not found

Request Example for get/api/v1/groups/{groupId64}/history
curl 'https://steamidapi.com/api/v1/groups/103582791429521412/history?cursor=&limit=100&keys=&from=&to=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "groupId64": "string",
  "data": [
    {
      "timestamp": "2026-05-07T19:07:22.275Z",
      "key": "group_name",
      "value": "string"
    }
  ],
  "links": {
    "self": "string",
    "steamCommunity": "string",
    "group": "string"
  },
  "pagination": {
    "limit": 100,
    "cursor": null,
    "nextCursor": "eyJpZCI6NDV9",
    "nextPage": "/api/v1/players/76561197960435530/friends?cursor=eyJpZCI6NDV9&limit=100"
  }
}

Compare Players

Token Usage
2 tokens per item

Compares multiple players (min 2, max 5) and finds mutual friends, groups, names, and games.

Token Cost

2 tokens per compared profile. If an update is requested (maxAgeSeconds), an additional cost of 4 tokens per profile per triggered check type applies.

Updates are context-aware: only checks relevant to the requested sections will be triggered and billed. Check types include: profile (always), friends (if requested), and games (if requested).

Comparing 2 players with all updates triggered costs 28 tokens (4 base + 24 update penalty).
Query Parameters
  • steamIds
    Type: string
    max length:  
    2500
    required

    Comma-separated list of steamId64s (min 2, max 5)

  • includeHistory
    Type: string

    Comma-separated list of sections to include history for (friends, groups, games, names, locations, customurls, realnames, ingameserverips). If true/1, all sections include history. If false/0, no sections include history.

  • minSharedCount
    Type: number
    min:  
    2

    Minimum number of players that must share an item to include it in results. Defaults to 2 (OR logic). Set to the number of players for AND logic.

  • sections
    Type: string

    Comma-separated list of sections to include (friends, groups, names, games, locations, customurls, realnames, ingameserverips). If omitted, all sections are returned.

  • excludeZeroPlaytimeGames
    Type: boolean | null

    If true, games with 0 total playtime will be excluded.

  • maxWaitSeconds
    Type: number
    min:  
    0
    max:  
    60

    Maximum time to wait for an update to complete before returning cached data. Note: If an update is triggered (via maxAgeSeconds), a maxWaitSeconds of less than 5 seconds will always be billed even if the update does not complete in time.

  • maxAgeSeconds
    Type: number
    min:  
    0
    max:  
    2147483647

    Maximum age of the data in seconds. If the data is older, an update will be requested. Must be greater than or equal to your subscription's minimum update interval. Updates are billed an additional token cost; however, if the update does not complete within maxWaitSeconds and you provided at least 5 seconds of wait time, the request cost is reduced to 0.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/api/v1/compare
curl 'https://steamidapi.com/api/v1/compare?steamIds=76561197960435530%2C76561198000000001&includeHistory=&minSharedCount=2&sections=&excludeZeroPlaytimeGames=false&maxWaitSeconds=30&maxAgeSeconds=null' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "players": [
    {
      "steamID": {
        "steamID64": "76561197960435530",
        "steamID3": "[U:1:11]",
        "steamID": "STEAM_0:1:5",
        "accountID": 11
      },
      "data": {
        "personaName": "Robin",
        "profileUrl": "https://steamcommunity.com/id/robin/",
        "avatar": {
          "small": "https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb.jpg",
          "medium": "https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb_medium.jpg",
          "full": "https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb_full.jpg"
        },
        "privacyState": "public",
        "onlineState": "offline",
        "isLimitedAccount": false,
        "realName": "Robin Walker",
        "memberSince": {
          "timestamp": "2003-09-12T23:53:09.000Z",
          "isAproximate": false
        },
        "bans": {
          "communityBanned": false,
          "vacBanned": false,
          "numberOfVACBans": 0,
          "numberOfGameBans": 0,
          "economyBan": "none"
        },
        "friends": {
          "current": 150,
          "allTime": 200
        },
        "groups": {
          "current": 10,
          "allTime": 12
        },
        "playtime": {
          "forever": 500000,
          "twoWeeks": 1200
        },
        "personaNameCount": 5,
        "lastChecks": {
          "profile": "2026-04-15T12:00:00.000Z",
          "bans": "2026-04-15T12:00:00.000Z",
          "friends": "2026-04-15T12:00:00.000Z",
          "games": "2026-04-15T12:00:00.000Z"
        }
      }
    }
  ],
  "common": {
    "friends": [
      {
        "steamID": {
          "steamID64": "76561197960435530",
          "steamID3": "[U:1:11]",
          "steamID": "STEAM_0:1:5",
          "accountID": 11
        },
        "personaName": null,
        "avatar": {
          "small": "string",
          "medium": "string",
          "full": "string"
        },
        "isLimitedAccount": null,
        "profileSetup": null,
        "memberSince": {
          "timestamp": "2003-09-12T23:53:09.000Z",
          "isAproximate": false
        },
        "bans": {
          "communityBanned": true,
          "vacBanned": true,
          "numberOfVACBans": 1,
          "numberOfGameBans": 1,
          "economyBan": "string",
          "lastBanDaysAgo": 1
        },
        "relationships": [
          {
            "steamId64": "string",
            "addedAt": null,
            "removedAt": null
          }
        ]
      }
    ],
    "groups": [
      {
        "groupId64": "string",
        "name": null,
        "url": null,
        "headline": null,
        "summary": null,
        "avatar": {
          "small": "string",
          "medium": "string",
          "full": "string"
        },
        "links": {
          "api": "string",
          "steamCommunity": "string"
        },
        "relationships": [
          {
            "steamId64": "string",
            "joinedAt": null,
            "leftAt": null
          }
        ]
      }
    ],
    "names": [
      {
        "name": "string",
        "relationships": [
          {
            "steamId64": "string",
            "timestamp": "2026-05-07T19:07:22.275Z"
          }
        ]
      }
    ],
    "games": [
      {
        "appid": 1,
        "relationships": [
          {
            "steamId64": "string",
            "timestamp": "2026-05-07T19:07:22.275Z",
            "playtimeForever": 1,
            "playtimeTwoWeeks": 1
          }
        ]
      }
    ],
    "locations": [
      {
        "value": "string",
        "relationships": [
          {
            "steamId64": "string",
            "timestamp": "2026-05-07T19:07:22.275Z"
          }
        ]
      }
    ],
    "customUrls": [
      {
        "value": "string",
        "relationships": [
          {
            "steamId64": "string",
            "timestamp": "2026-05-07T19:07:22.275Z"
          }
        ]
      }
    ],
    "realNames": [
      {
        "value": "string",
        "relationships": [
          {
            "steamId64": "string",
            "timestamp": "2026-05-07T19:07:22.275Z"
          }
        ]
      }
    ],
    "inGameServerIPs": [
      {
        "value": "string",
        "relationships": [
          {
            "steamId64": "string",
            "timestamp": "2026-05-07T19:07:22.275Z"
          }
        ]
      }
    ]
  }
}

Legacy Drop-in

Get Player Summaries

Token Usage
0.5 tokens per item
0.5 tokens per profile requested, rounded up.

Returns basic profile information for a list of 64-bit Steam IDs. The following return fields are not supported: lastlogoff, primaryclanid, personastateflags.

Query Parameters
  • key
    Type: string

    SteamID.com API Key

  • steamids
    Type: string
    max length:  
    2500
    required

    Comma-separated list of 64 bit Steam IDs

  • format
    Type: stringenum

    The format of the response

    values
    • json
    • xml
Responses
Request Example for get/ISteamUser/GetPlayerSummaries/v0002
curl 'https://steamidapi.com/ISteamUser/GetPlayerSummaries/v0002?key=&steamids=76561197960435530%2C76561198084134267&format=json'
{
  "response": {
    "players": [
      {
        "steamid": "76561197960435530",
        "communityvisibilitystate": 3,
        "profilestate": 1,
        "personaname": "Robin",
        "profileurl": "https://steamcommunity.com/id/robin/",
        "avatar": "https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb.jpg",
        "avatarmedium": "https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb_medium.jpg",
        "avatarfull": "https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb_full.jpg",
        "avatarhash": "fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb",
        "personastate": 0,
        "realname": "Robin Walker",
        "timecreated": 1063407589
      }
    ]
  }
}

Get Player Bans

Token Usage
0.5 tokens per item
0.5 tokens per profile requested, rounded up.

Returns ban status for a list of 64-bit Steam IDs. All standard Steam return fields are supported.

Query Parameters
  • key
    Type: string

    SteamID.com API Key

  • steamids
    Type: string
    max length:  
    2500
    required

    Comma-separated list of 64 bit Steam IDs

  • format
    Type: stringenum

    The format of the response

    values
    • json
    • xml
Responses
Request Example for get/ISteamUser/GetPlayerBans/v1
curl 'https://steamidapi.com/ISteamUser/GetPlayerBans/v1?key=&steamids=76561197960435530%2C76561198084134267&format=json'
{
  "players": [
    {
      "SteamId": "76561197960435530",
      "CommunityBanned": false,
      "VACBanned": false,
      "NumberOfVACBans": 0,
      "DaysSinceLastBan": 0,
      "NumberOfGameBans": 0,
      "EconomyBan": "none"
    }
  ]
}

Get Owned Games

Token Usage
1 token

Get list of games owned by a player, including playtime. Note: include_played_free_games is not supported and free games are always included if they have playtime data. The following return fields are not supported: has_community_visible_stats.

Query Parameters
  • key
    Type: string

    SteamID.com API Key

  • steamid
    Type: string
    max length:  
    100
    required

    The SteamID of the account to fetch games for

  • include_appinfo
    Type: boolean | null

    Include game name and logo information

  • format
    Type: stringenum

    The format of the response

    values
    • json
    • xml
Responses
Request Example for get/IPlayerService/GetOwnedGames/v0001
curl 'https://steamidapi.com/IPlayerService/GetOwnedGames/v0001?key=&steamid=76561197960435530&include_appinfo=null&format=json'
{
  "response": {
    "game_count": 1,
    "games": [
      {
        "appid": 440,
        "name": "Team Fortress 2",
        "playtime_2weeks": 0,
        "playtime_forever": 15412,
        "img_icon_url": "ef657d33560f54070a9058b56f87d4606138676a",
        "img_logo_url": "07304561066063673c2423376288647898858d4a"
      }
    ]
  }
}

Get Legacy XML Profile by SteamID

Token Usage
1 token

Returns profile data in XML format.

Path Parameters
  • id
    Type: string
    max length:  
    100
    required
Query Parameters
  • key
    Type: string

    SteamID.com API Key

Responses
  • text/xml
  • 404

    Profile not found

Request Example for get/profiles/{id}
curl 'https://steamidapi.com/profiles/76561197960435530?key='
<?xml version="1.0" encoding="UTF-8"?>
<profile>
  <steamID64>76561197960435530</steamID64>
  <steamID>Robin</steamID>
  <onlineState>offline</onlineState>
  <stateMessage></stateMessage>
  <privacyState>public</privacyState>
  <visibilityState>3</visibilityState>
  <avatarIcon>https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb.jpg</avatarIcon>
  <avatarMedium>https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb_medium.jpg</avatarMedium>
  <avatarFull>https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb_full.jpg</avatarFull>
  <vacBanned>0</vacBanned>
  <tradeBanState>None</tradeBanState>
  <isLimitedAccount>0</isLimitedAccount>
</profile>

Get Legacy XML Profile by Custom URL

Token Usage
1 token

Returns profile data in XML format.

Path Parameters
  • customUrl
    Type: string
    max length:  
    100
    required
Query Parameters
  • key
    Type: string

    SteamID.com API Key

Responses
  • text/xml
  • 404

    Profile not found

Request Example for get/id/{customUrl}
curl 'https://steamidapi.com/id/gabelogannewell?key='
<?xml version="1.0" encoding="UTF-8"?>
<profile>
  <steamID64>76561197960435530</steamID64>
  <steamID>Robin</steamID>
  <onlineState>offline</onlineState>
  <stateMessage></stateMessage>
  <privacyState>public</privacyState>
  <visibilityState>3</visibilityState>
  <avatarIcon>https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb.jpg</avatarIcon>
  <avatarMedium>https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb_medium.jpg</avatarMedium>
  <avatarFull>https://avatars.steamstatic.com/fef49e7fa7e1997310d705b2a6158ff8dc1cdfeb_full.jpg</avatarFull>
  <vacBanned>0</vacBanned>
  <tradeBanState>None</tradeBanState>
  <isLimitedAccount>0</isLimitedAccount>
</profile>